@echo off

rem Set the environment
rem -------------------

set JAVA_HOME=K:\prod\Wnt\java\jdk1.6.0
set PATH=%JAVA_HOME%\bin;%PATH%

   set DEPLOYDIR=h:\Meta2

   set RMICP=%DEPLOYDIR%\lib\rmi.jar;%DEPLOYDIR%\lib\jdom.jar;%DEPLOYDIR%\lib\jaxen-1.1.1.jar
   
   set CTRLCP=%DEPLOYDIR%\lib\ctrl.jar
  
   set classpath=%RMICP%;%CTRLCP%

rem Run the client
rem -----------------

set JAVA_ARGS=-cp %classpath%  
set JAVA_MAIN=main.Controller %1 %2 %3

echo Executing java %JAVA_ARGS% %JAVA_MAIN%
java %JAVA_ARGS% %JAVA_MAIN%